# streamDriver.CRLFile

Overrides the CRL file set via the global configuration.

This parameter applies to imtcp: TCP Syslog Input Module.

Name:

  streamDriver.CRLFile

Scope:

  input

Type:

  string (see Rsyslog Parameter String Constants)

Default:

  input=global parameter

Required?:

  no

Introduced:

  8.2308.0

## Description

Added in version 8.2308.0.

This permits to override the CRL (Certificate revocation list) file set via `global()` config object at the per-action basis. This parameter is ignored if the netstream driver and/or its mode does not need or support certificates.

## Input usage

    input(type="imtcp" streamDriver.crlFile="/etc/ssl/crl.pem")

## See also

See also imtcp: TCP Syslog Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.